--- title: "Department Config" slug: "server-api-global-setting-department-config" updated: 2022-06-16T08:18:49Z published: 2022-06-16T08:18:49Z canonical: "developer.comm100.com/server-api-global-setting-department-config" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Department Config ## Department Config You need the Manage departments permission to manage department configs. - `Department Config` - Department Config Manage - `GET global/departmentConfig` - [Get a single Department Config](/docs/server-api-global-setting-department-config#get-a-single-department-config) - `POST global/departmentConfig:disable` - [Disable the Department Config](/docs/server-api-global-setting-department-config#disable-the-department-config) - `POST global/departmentConfig:enable` - [Enable the Department Config](/docs/server-api-global-setting-department-config#enable-the-department-config) ### Department Config JSON Format Department Config is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `isEnabled` | bool | Whether Department is enabled or not. | ### Get a single Department Config `GET global/departmentConfig` - #### Parameters: No Parameters - #### Response: [Department Config](/docs/server-api-global-setting-department-config#department-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/departmentConfig \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": true } ``` ### Disable the Department Config `POST global/departmentConfig:disable` - #### Parameters: No Parameters - #### Response: [Department Config](/docs/server-api-global-setting-department-config#department-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/departmentConfig:disable \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": false } ``` ### Enable the Department Config `POST global/departmentConfig:enable` - #### Parameters: No Parameters - #### Response: [Department Config](/docs/server-api-global-setting-department-config#department-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/departmentConfig:enable \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": true } ```